summaryrefslogtreecommitdiff
path: root/clean.sh
diff options
context:
space:
mode:
Diffstat (limited to 'clean.sh')
-rwxr-xr-xclean.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/clean.sh b/clean.sh
new file mode 100755
index 0000000..377553a
--- /dev/null
+++ b/clean.sh
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+set -e
+
+rm -rf build/ tor-static
+
+for d in zlib tor openssl libevent
+do
+ git -C "$d" clean -fdx
+ git -C "$d" reset --hard HEAD
+done